class Quiz {
	next() {
		let word = this.words.shift();
		let form = put(this.form,
			'+img[src=$]+ul', `/data/word/en/${word[0]}.jpg`,
		);

		let answers = [word[2], this.words[1][2], this.words[2][2], this.words[3][2]]
			.sort(() => {return .5 - Math.random()}) // shuffle
		answers.forEach(suggest => {
			let label = suggest.replace(/\/.*/, '');
			let option = put(form, 'li', label, {onclick: () => {
				if (suggest != word[2]) {
					// incorrect
					put(option, '.wrong');
					return;
				}
				put(option, '.good');
				window.setTimeout(() => this.next(), 500);
			}});
		});
	}

	constructor() {
		this.dataurl = '/data/wordlist.nl.json';
		fetch(this.dataurl).then(res => res.json()).then(json => {
			this.form = document.getElementById('quiz');
			this.words = Object.values(json)
				.sort(() => {return .5 - Math.random()}) // shuffle
				.map(row => row.split(/:/))
			this.next();
		});
	}
};

new Quiz();
